package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag495;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.MT495Creator;

/**
 * @author huangmengyuan
 * @create 2023/3/1
 */
public class Tag21Creator extends AbsTagCreate {
    private MT495Creator mt495Creator;
    public Tag21Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt495Creator = (MT495Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag21Value = mt495Creator.getRelatedReference();
        mt495Creator.set("21",tag21Value);
    }
}
